sequenceDiagram
autonumber
participant merchant as Merchant
participant mbo as Merchant Backoffice <br/> (Browser)
participant epages6 as ePages6 <br/> (Cartridges)
participant epagesj as ePagesJ
participant google as Google

merchant->>mbo: Clicks "Create Google Smart Shopping campaign" button
Note over mbo, epages6: Dialog window opens to enter campaign information (daily budget...) and confirm campaign creation.
mbo->>epages6: ChangeAction POST GoogleSmartShopping-CreateGoogleAdsCampaign
epages6->>epagesj: 'DE_EPAGES::GoogleSmartShopping::API::GoogleAdsApiService->createGoogleAdsCampaign' <br/> POST 'misc/google-smart-shopping/accounts/ads/{managerId}/sub-accounts/{subAccountId}/smart-shopping-campaigns' (admin + developer token)
epagesj->>google: AdsCreationService.createSmartShoppingCampaignGoogle <br/> Campaign.newBuilder() (Google Ads API SDK)
google-->>epagesj: MutateCampaignResult / Campaign (Google Ads API SDK)
epagesj-->>epages6: response (200 OK) SmartShoppingCampaign entity: {name:.., dailyBudget:.., status:...}
epages6->>epagesj: 'DE_EPAGES::GoogleSmartShopping::API::GoogleAdsApiService->createGoogleConversionAction' <br/> POST 'misc/google-smart-shopping/accounts/ads/{managerId}/sub-accounts/{subAccountId}/smart-shopping-campaigns/conversion-actions' (admin + developer token)
epagesj->>google: AdsCreationService.createConversionAction <br/> ConversionActionServiceClient.mutateConversionActions (Google Ads API SDK)
google-->>epagesj: MutateConversionActionsResponse / ConversionAction (Google Ads API SDK)
epagesj-->>epages6: response (200 OK) EpConversionAction entity {id:.., name:..}
epages6->>epagesj: 'DE_EPAGES::GoogleSmartShopping::API::GoogleAdsApiService->createGoogleRemarketingAction' <br/> POST 'misc/google-smart-shopping/accounts/ads/{managerId}/sub-accounts/{subAccountId}/remarketing-actions' (admin + developer token)
epagesj->>google: AdsCreationService.createRemarketingAction <br/> RemarketingActionServiceClient.mutateRemarketingActions (Google Ads API SDK)
google-->>epagesj: MutateRemarketingActionsResponse / RemarketingAction (Google Ads API SDK)
epagesj-->>epages6: response (200 OK) EpRemarketingAction entity {id:.., name:..}
epages6->>epagesj: 'DE_EPAGES::GoogleSmartShopping::API::ScriptTagService->addScriptTag'
epagesj-->>epages6: response (201 CREATED)
epages6-->>mbo: 
Note over mbo, epages6: JavaScript reload tab page to show new created campaign.
mbo->>epages6: ViewAction GET UnityMBO-ViewGoogleSmartShoppingCampaigns (UnityViewGoogleSmartShoppingCampaigns)
epages6->epagesj: 'DE_EPAGES::GoogleSmartShopping::API::GoogleAdsApiService->getSmartShoppingCampaigns' <br/> GET 'misc/google-smart-shopping/accounts/ads/{managerId}/sub-accounts/{subAccountId}/smart-shopping-campaigns'
epagesj->>google: AdsReportingService.getSmartShoppingCampaigns <br/> GoogleAdsServiceClient.search (Google Ads API SDK)
google-->>epagesj: GoogleAdsServiceClient.SearchPagedResponse (Google Ads API SDK)
epagesj-->>epages6: response (200 OK) List<SmartShoppingCampaign> entity [{name:.., dailyBudget:.., status:...}]
epages6-->>mbo: parse page with campagin data