#========================================================================================
# package      DE_EPAGES::ShopVote::API::Shop
# state        public
#----------------------------------------------------------------------------------------
# description  This package provides the interface for Shop.
#========================================================================================
package DE_EPAGES::ShopVote::API::Shop;
use base qw( Exporter );

use strict;
our @EXPORT_OK = qw(
    GetShopVoteScriptTagUrl
    GetShopVoteSealScriptTagUrl
);

#========================================================================================
# function     GetShopVoteScriptTagUrl
#----------------------------------------------------------------------------------------
# syntax       $UnityShopVoteScriptTagUrl = GetShopVoteScriptTagUrl($Shop);
#----------------------------------------------------------------------------------------
# description  Returns the URL of the ShopVote script tag for Unity shops
#----------------------------------------------------------------------------------------
# input        $Shop| shop | object
#----------------------------------------------------------------------------------------
# return       $UnityShopVoteScriptTagUrl | script tag url | string
#========================================================================================
sub GetShopVoteScriptTagUrl {
    my ( $Shop ) = @_;

    return $Shop->get('WebServerScriptName') . '?ViewAction=UnityViewShopVoteScript';
}

#========================================================================================
# function     GetShopVoteSealScriptTagUrl
#----------------------------------------------------------------------------------------
# syntax       $UnityShopVoteSealScriptTagUrl = GetShopVoteSealScriptTagUrl($Shop);
#----------------------------------------------------------------------------------------
# description  Returns the URL of the ShopVote script tag to display the seal in Unity
#               shops
#----------------------------------------------------------------------------------------
# input        $Shop| shop | object
#----------------------------------------------------------------------------------------
# return       $UnityShopVoteSealScriptTagUrl | script tag url | string
#========================================================================================
sub GetShopVoteSealScriptTagUrl {
    my ( $Shop ) = @_;

    return $Shop->get('WebServerScriptName') . '?ViewAction=UnityViewShopVoteSealScript';
}